Get a user API key
- GET /users/{user_id}/auth/keys/{api_key_id}
Retrieves the API key metadata for a user.
Path Parameters
-
user_idstringrequired -
The user ID.
-
api_key_idstringrequired -
The API Key ID.
Responses
The API key metadata is retrieved.
-
idstringrequired -
The API key ID.
-
user_idstring -
The user ID.
-
organization_idstring -
The organization ID linked to the API key
-
descriptionstringrequired -
The API key description. TIP: Useful when you have multiple API keys.
-
keystring -
The API key. TIP: Since the API key is returned only once, save it in a safe place.
-
creation_datestringrequired -
The date/time for when the API key is created.
-
expiration_datestring -
The date/time when the API key expires.
-
role_assignmentsRoleAssignments -
Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.
-
platformPlatformRoleAssignment -
Assignments for roles with platform scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organizationOrganizationRoleAssignment -
Assignments for roles with organization scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
-
deploymentDeploymentRoleAssignment -
Assignments for roles with deployment scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in
deployment_ids. -
deployment_idsstring -
The IDs of the deployments the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
-
projectProjectRoleAssignments -
Assignments for roles with project scope.
-
elasticsearchProjectRoleAssignment -
The Elasticsearch project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
observabilityProjectRoleAssignment -
The Observability project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
securityProjectRoleAssignment -
The Security project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
workplaceaiProjectRoleAssignment -
The WorkplaceAI project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
vectordbProjectRoleAssignment -
The VectorDB project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
The {api_key_id} can't be found. (code: api_keys.key_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response